MAXScript Language Reference > 3ds Max Objects > Node : MAXWrapper > Node Subclasses > Shape : Node > Shapes - Splines >

# Egg : Shape

    Egg - superclass: shape; super-superclass:node - 43:7 - classID: #(387586814, 0)

Value > MAXWrapper > Node > GeometryClass > Shape > Egg

| Shapes and Splines - Quick Navigation

The Egg Shape object is used mainly for the creation of egg-shaped cross-sections.

Available in 3ds Max 2013 and higher.

Constructor

    egg...

Properties:

## Parameters Rollout

    <Egg>.egg_length     Float    default: 60.0   --  animatable; float; Length

Get/set the length of the egg shape.

    <Egg>.egg_width     Float    default: 40.0   --  animatable; float; Width

Get/set the width of the egg shape.

    <Egg>.egg_outline     BooleanClass    default: true   --  animatable; boolean; Outline

Get/set the state of the Outline checkbox. When set to true, the shape will contain two concentric splines.

    <Egg>.egg_thickness     Float    default: 5.0   --  animatable; float; Thickness

Get/set the thickness of the outline.

Used when .egg_outline is set to True.

Positive values create the outline shape outside of the primary shape, negative values place it inside.

    <Egg>.egg_angle     Float    default: 0.0   --  animatable; float; Angle

Get/set the Angle of the shape in degrees.

Positive values rotate the shape Counter-Clock-Wise.

## Interpolation Rollout

    <Egg>.steps     Integer    default: 6   --  integer

The number of divisions between each vertex.

    <Egg>.optimize     BooleanClass    default: true   --  boolean

When on, removes unneeded steps from straight segments in the spline.

    <Egg>.adaptive     BooleanClass    default: false   --  boolean

When on, Adaptive sets the number of steps for each spline to produce a smooth curve.

Straight segments always receive 0 steps.

## Rendering Rollout

    <Egg>.render_renderable     BooleanClass    default: false   --  boolean; renderable

Toggles the "Enable in Renderer" checkbox on and off.

    <Egg>.render_displayRenderMesh     BooleanClass    default: false   --  boolean; displayRenderMesh

Toggles the "Enable In Viewport" checkbox on and off.

When set to true, the mesh will be displayed in the viewports.

    <Egg>.render_useViewportSettings     BooleanClass    default: false   --  boolean; useViewportSettings

Toggles the "Use Viewport Settings" checkbox on and off.

When set to true, the mesh displayed in the viewport will use the Viewport settings.

When false, the Renderer settings will be used for the viewport mesh, too.

    <Egg>.render_mapcoords     BooleanClass    default: false   --  boolean; mapcoords

Toggles mapping coordinates generation on and off.

The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.

    <Egg>.realWorldMapSize     BooleanClass    default: false   --  boolean

Toggles the real-world map size option on and off.

    <Egg>.render_displayRenderSettings     BooleanClass    default: true   --  boolean; displayRenderSettings

Toggles the state of the Viewport/Renderer radio buttons.

When set to true, the Renderer settings will be displayed in the rollout.

When false, the Viewport settings will be shown instead.

    <Egg>.render_rectangular     BooleanClass    default: false   --  boolean

When set to true, enables the Rectangular cross-section mode to be used in the renderer.

When false (default), enables the Radial cross-section mode.

Corresponds to the Radial/Rectangular radio buttons in the UI in Renderer mode.

    <Egg>.render_viewport_rectangular     BooleanClass    default: false   --  boolean

When set to true, enables the Rectangular cross-section mode to be used in the viewports.

When false (default), enables the Radial cross-section mode.

Corresponds to the Radial/Rectangular radio buttons in the UI in Viewport mode.

### Renderer - Radial Cross-Section

    <Egg>.thickness     Float    default: 1.0   --  animatable; float

    <Egg>.render_thickness     Float    default: 1.0   --  animatable

Get/Set the diameter of the Radial renderable spline mesh.

    <Egg>.sides     Integer    default: 12   --  integer

    <Egg>.render_sides     Integer    default: 12   --  animatable

Get/Set the number of sides for the spline mesh in the renderer.

A value of 4 will give you a square cross section, for example.

    <Egg>.angle     Float    default: 0.0   --  float

    <Egg>.render_angle     Float    default: 0.0   --  animatable

Get/Set the rotational position of the Radial cross-section in the renderer.

### Renderer - Rectangular Cross-Section

    <Egg>.render_length     Float    default: 6.0   --  animatable

Get/Set the length of the Rectangular renderable spline mesh.

    <Egg>.render_width     Float    default: 2.0   --  animatable

Get/Set the width of the Rectangular renderable spline mesh.

    <Egg>.render_angle2     Float    default: 0.0   --  animatable

Get/Set rotational position of the Radial cross-section in the renderer.

    <Egg>.render_aspect_locked     BooleanClass    default: false   --  boolean

Controls the state of the Aspect Lock checkbutton.

When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.

### Viewport - Radial Cross-Section

    <Egg>.render_viewport_angle     Float    default: 0.0   --  float; viewport_angle

Get/Set the diameter of the Radial renderable spline mesh in the viewport.

    <Egg>.render_viewport_sides     Integer    default: 12   --  integer; viewport_sides

Gets/Sets the number of sides for the Radial spline mesh in the viewports.

A value of 4 will give you a square cross section, for example.

    <Egg>.render_viewport_thickness     Float    default: 1.0   --  float; viewport_thickness

Gets/Sets the rotational position of the cross-section in the viewports.

### Viewport - Rectangular Cross-Section

    <Egg>.render_viewport_length     Float    default: 6.0   --  float

Get/Set the length of the Rectangular spline mesh in the viewports.

    <Egg>.render_viewport_width     Float    default: 2.0   --  float

Get/Set the width of the Rectangular spline mesh in the viewports.

    <Egg>.render_viewport_angle2     Float    default: 0.0   --  float

Get/Set rotational position of the Rectangular cross-section in the viewports.

    <Egg>.render_viewport_aspect_locked     BooleanClass    default: false   --  boolean

Controls the state of the Aspect Lock checkbutton.

When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.

### Auto Smooth

    <Egg>.render_auto_smooth     BooleanClass    default: true   --  boolean

Controls the state of the Auto Smooth checkbox.

When set to true, auto smoothing will be enabled.

    <Egg>.render_threshold     Float    default: 40.0   --  animatable

Get/set the Auto Smooth Threshold value.

#### See Also

- Spline Shape Common Properties, Operators, and Methods

- Shape Common Properties, Operators, and Methods

- Node Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods